3.2 > 4.0 Upgrade

Discussion in 'Wii - Hacking' started by HyperVisor, Aug 26, 2009.

Aug 26, 2009

3.2 > 4.0 Upgrade by HyperVisor at 9:50 AM (1,498 Views / 0 Likes) 18 replies

  1. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    I'd like to upgrade a 3.2U system to 4.0 to take advantage of the SD game launching feature. I currently have a Wiikey modchip along with all the usual utilities such as HBC, USB loaders etc.

    I understand that previously there may have been reasons not to upgrade due to some limitations / restrictions. After reading a couple of the stickied super guides, it seems that there's now no reason to stick with a 3.2 system and the limitations / restrictions with 4.0 are no longer present.

    Is it therefore just a question of running Waninkoko's firmware updater v4.0 and everything else should work as before or are there any additional steps that need to be taken before or after the firmware updater?

    TIA
     
  2. Spidy1000

    Member Spidy1000 GBAtemp Fan

    Joined:
    Apr 10, 2009
    Messages:
    499
    Country:
    Netherlands
    why not go straight to 4.1 (maybe doing a 4.0 upgrade is preferred. not sure) u can use waninkoko's upgrader for both
     
  3. kLiNiKaL

    Member kLiNiKaL Dr. Greenthumb

    Joined:
    May 24, 2009
    Messages:
    581
    Location:
    Los Ganjales
    Country:
    Jamaica
    yeah dude u can just run wanin's updater theres a 4.1 version now aswell.
     
  4. Deviyl

    Member Deviyl GBAtemp Fan

    Joined:
    Oct 2, 2008
    Messages:
    418
    Country:
    United States
    1) Nintendo update.

    2) Guide in sig.

    3) Profit.
     
  5. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    No idea what you're saying here [​IMG].
     
  6. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    Thanks for the other replies. However, if I do update to 4.0 (I thought that 4.1 was only for users currently on 4.0?), then will everything that I've already installed continue to work, specifically HBC and USB Loaders?
     
  7. Spidy1000

    Member Spidy1000 GBAtemp Fan

    Joined:
    Apr 10, 2009
    Messages:
    499
    Country:
    Netherlands

    if you use waninkoko's updater you wont have any problem. You might need to reinstall preloader though
     
  8. georgecoat

    Newcomer georgecoat Advanced Member

    Joined:
    Dec 18, 2008
    Messages:
    97
    Country:
    United States
    Do you need to make 4.0 update first and then 4.1 on top of it? Is it possible to skip 4.0 update in this case?

    Actually, let me answer this with the part from "Sticky: Noob Starter Guide":
    "If you are on something from 3.1-3.4:
    First you should run Waninkoko's 4.0 updater to update yourself to 4.0. I believe Waninkoko's 4.1 updater is meant to update straight from 4.0, which is why it gives an error if you try to run it from anything less without at least installing an IOS60 beforehand. Then when that completes you should be on 4.0 and you can continue to run Waninkoko's 4.1 updater to update to 4.1 and then continue to the rest."
     
  9. FenrirWolf

    Member FenrirWolf GBAtemp Psycho!

    Joined:
    Nov 19, 2008
    Messages:
    4,343
    Location:
    Beaverton, OR
    Country:
    United States
    It should be.
     
  10. Deviyl

    Member Deviyl GBAtemp Fan

    Joined:
    Oct 2, 2008
    Messages:
    418
    Country:
    United States
    Are you kidding? My next bit of advice is to stop hacking your Wii immediately.
     
  11. illinialex24

    Member illinialex24 GBAtemp Advanced Fan

    Joined:
    May 26, 2009
    Messages:
    968
    Location:
    The Midwest
    Country:
    United States
    LMAO. Yeah, trust me, figure out what he's saying or have someone else do it for you.
     
  12. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    Not knowing what 'Guide in sig.' means is hardly representative of somone's intelligence and isn't something you could simply 'figure out' yourself if you have no idea what they're referring to, it's simply a question of experience / knowledge.

    You assume that everyone knows what this may mean. If you've not interacted regularly with forum communities - how are you supposed to learn if not from another person! You could have simply answered the question in the time it took you to reply, rather than simply laughing because in some way it makes you feel superior.

    I'm speculating that sig. is actually 'signature' and this was highlighting a reference to the 'Guide' in the users signature section. If that's the case then it may have helped to type a few more characters to avoid confusion for people who simply aren't as experienced, particuarly when it's written in short-form.

    This leaves 'Profit' and I still have no idea what relevance that has. In fact, looking back at the response as a whole, it would suggest that you perform a Nintendo update and then read his guide. If this is the case, then why not just say 'refer to my guide - link in my signature', The guide itself already covers the fact that you need to update.

    My original question was concise, to the point and was asked after reading 'some' but obviously not 'all' guides. I would suggest that you spend your time more productively and actually help people in future, rather than attempting to inflate your own ego. I'd further suggest you take a look at your own posts and highlight ones where you've asked 'stupid' questions. Alternatively, I can have someone do that for you?

    To the other users, thanks for your replies - appreciated and I have what I need now.
     
  13. 0M39A

    Member 0M39A GBAtemp Fan

    Joined:
    Apr 24, 2009
    Messages:
    374
    Country:
    Australia
    many people should take notice of this post.
     
  14. chillta

    Newcomer chillta Member

    Joined:
    Jun 13, 2009
    Messages:
    40
    Country:
    Germany
    just in the case it occurs to you:

    if the 4.1 updater gives a error, try installing the 4.0 updater first. had this yesterday on a 3.2 going to 4.1


    besides, the "3. Profit" refers to a Southpark episode.
     
  15. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    Cool - thanks.

    I'll have to check out the Southpark episode - I clearly need to be enlightened [​IMG].


     
  16. Digital1980

    Member Digital1980 GBAtemp Fan

    Joined:
    Jan 8, 2008
    Messages:
    499
    Country:
    United States
    I see no reason to switch from 3.2 to 4.0

    Everything runs fine for me. If it's not broke, I'm not going to fix it. [​IMG]
     
  17. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    I usually agree with that thought process, however I really do want to get the use of the SD option as my available NAND is running low.

     
  18. VatoLoco

    Member VatoLoco Don't crush that dwarf, hand me the pliers.

    Joined:
    Jan 29, 2008
    Messages:
    2,261
    Location:
    Ya Cant Get There From Here
    Country:
    United States
    Im on 3.2 and have been using the Triiforce beta for running wads through NAND emulation on my 4gig (which is plenty of space for all my vc/wiiware) USB stick. Its a nice alternative to upgrading to 4.0 just for the SD loading.
     
  19. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    Nice, I'll check that out. Thanks.

     

Share This Page